import { defHttp } from '/@/utils/http/axios';
import { Modal } from 'ant-design-vue';

enum Api {
  list = '/ventanaly-device/safety/ventanalyCamera/list',
  save = '/ventanaly-device/safety/ventanalyCamera/add',
  edit = '/ventanaly-device/safety/ventanalyCamera/edit',
  deleteById = '/ventanaly-device/safety/ventanalyCamera/delete',
  importExcel = '/sys/user/importExcel',
  exportXls = '/sys/user/exportXls',
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) => defHttp.get({ url: Api.list, params });

/**
 * 删除用户
 */
export const deleteById = (params, handleSuccess) => {
  return defHttp.delete({ url: Api.deleteById, params }, { joinParamsToUrl: true }).then(() => {
    handleSuccess();
  });
};

/**
 * 保存或者更新用户
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  const url = isUpdate ? Api.edit : Api.save;
  return defHttp.put({ url: url, params });
};
