import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { list } from '../substationTabel/substation.api';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'strname',
    width: 120,
  },
  {
    title: '安装位置',
    dataIndex: 'strinstallpos',
    width: 100,
  },
  {
    title: '风筒长度(m)',
    dataIndex: 'flength',
    width: 100,
  },
  {
    title: '风筒直径(m)',
    dataIndex: 'fclearwidth',
    width: 80,
  },
  {
    title: '风机类型',
    dataIndex: 'ntype_dictText',
    width: 100,
  },
  {
    title: '所属分站',
    width: 150,
    dataIndex: 'stationname',
  },
];

export const recycleColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'strname',
    width: 100,
  },
  {
    title: '是否为常闭型',
    dataIndex: 'bnormalclose',
    width: 100,
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    label: '名称',
    field: 'strname',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    label: '安装位置',
    field: 'strinstallpos',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    label: '所属分站',
    field: 'nsubstationid',
    component: 'ApiSelect',
    componentProps: {
      api: list,
      labelField: 'strname',
      valueField: 'nsubstationid',
    },
  },
];

export const formSchema: FormSchema[] = [
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false,
  },
  {
    label: '名称',
    field: 'strname',
    component: 'Input',
  },
  {
    label: '安装位置',
    field: 'strinstallpos',
    component: 'Input',
  },
  {
    label: '风筒长度(m)',
    field: 'flength',
    component: 'InputNumber',
  },
  {
    label: '风筒直径(m)',
    field: 'fclearwidth',
    component: 'InputNumber',
  },
  {
    label: '风机类型',
    field: 'ntype',
    component: 'JDictSelectTag',
    componentProps: {
      dictCode: 'fantype',
      placeholder: '请选择状态',
      stringToNumber: true,
    },
  },
  {
    label: '所属分站',
    field: 'nsubstationid',
    component: 'ApiSelect',
    componentProps: {
      api: list,
      labelField: 'strname',
      valueField: 'nsubstationid',
    },
  },
];
