import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { list } from '../substationTabel/substation.api';

export const columns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'strname',
    width: 120,
  },
  {
    title: '安装位置',
    dataIndex: 'strinstallpos',
    width: 100,
  },
  {
    title: '安装位置巷道断面',
    dataIndex: 'ftunarea',
    width: 100,
  },
  {
    title: '风速传感器1修正系数',
    dataIndex: 'famendv1',
    width: 100,
  },
  {
    title: '风速传感器2修正系数',
    dataIndex: 'famendv2',
    width: 100,
  },
  {
    title: '风速传感器3修正系数',
    dataIndex: 'famendv3',
    width: 100,
  },
  {
    title: '所属分站',
    width: 150,
    dataIndex: 'stationname',
  },
];

export const recycleColumns: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'strname',
    width: 100,
  },
  {
    title: '是否为常闭型',
    dataIndex: 'bnormalclose',
    width: 100,
  },
  {
    title: '所属分站',
    width: 150,
    dataIndex: 'stationname',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    label: '名称',
    field: 'strname',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    label: '安装位置',
    field: 'strinstallpos',
    component: 'Input',
    colProps: { span: 6 },
  },
  {
    label: '所属分站',
    field: 'nsubstationid',
    component: 'ApiSelect',
    componentProps: {
      api: list,
      labelField: 'strname',
      valueField: 'nsubstationid',
    },
  },
];

export const formSchema: FormSchema[] = [
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false,
  },
  {
    label: '名称',
    field: 'strname',
    component: 'Input',
  },
  {
    label: '安装位置',
    field: 'strinstallpos',
    component: 'Input',
  },
  {
    label: '安装位置巷道断面',
    field: 'ftunarea',
    component: 'InputNumber',
  },
  {
    label: '风速传感器1修正系数',
    field: 'famendv1',
    component: 'InputNumber',
  },
  {
    label: '风速传感器2修正系数',
    field: 'famendv2',
    component: 'InputNumber',
  },
  {
    label: '风速传感器3修正系数',
    field: 'famendv3',
    component: 'InputNumber',
  },
  {
    label: '所属分站',
    field: 'nsubstationid',
    component: 'ApiSelect',
    componentProps: {
      api: list,
      labelField: 'strname',
      valueField: 'nsubstationid',
    },
  },
];
